/*
 * $Source: r:/source/msgapi/qqlink/RCS/md5.h,v $
 * $Revision: 1.2 $
 * $Date: 1998/09/02 01:33:59 $
 * $Locker:  $
 *
 *	Interface to md5.c, extracted from ozpd9703.zip.
 *
 * $Log: md5.h,v $
 * Revision 1.2  1998/09/02 01:33:59  vitus
 * - commented automatic type selection (not supported by CPP)
 *
 * Revision 1.1  1998/09/01 01:55:25  vitus
 * Initial revision
 */

#ifndef MD5_H
#define MD5_H

/*#if sizeof(long) == 4*/
typedef unsigned long	uint32;
/*#elif sizeof(int) == 4
typedef unsigned int	uint32;
#else
# error "Congratulations!  You get to rewrite this code so that it does not require"
# error "a 32-bit integer type!  (Or maybe you just need to reconfigure.)"
#endif*/

struct MD5Context {
    uint32	buf[4];
    uint32	bits[2];
    unsigned char in[64];
};


void MD5Init(struct MD5Context *context);
void MD5Update(struct MD5Context *context, unsigned char const *buf, unsigned len);
void MD5Final(unsigned char digest[16], struct MD5Context *context);
void MD5Transform(uint32 buf[4], uint32 const in[16]);

/*
 * This is needed to make RSAREF happy on some MS-DOS compilers.
 */
typedef struct MD5Context	MD5_CTX;

#endif /* !MD5_H */
